Preparing to use the Python client library

Contributors dmp-netapp

You should prepare the environment before using the Python client library.

Basic requirements

You must use Python 3.5 or later. In addition, the following packages are also required:

  • requests 2.22.1 or later

  • requests-toolbelt 0.9.1 or later

  • marshmallow 3.2.1 or later

Package name and version

The name of the Python client library package is netapp_ontap. The version associated with the package is a combination of the ONTAP major and minor version numbers the library was generated from, along with a minor version for the client within the ONTAP release. For example, valid version numbers include: 9.6.1, 9.6.2, and 9.7.1.

Installation

You must use pip to install the netapp_ontap package from the Python Package Index (PyPi) web site.

Documentation and additional resources

See the NetApp Developer Network for links to documentation and other resources.